body {
    background-color: #f6f6f6;
    font-family: "Open Sans", sans-serif;
    color: #000;
}

/* CUSTOM CSS PROPERTIES */

/* HEADER */
.header {
    background-color: #F6F6F6;
    box-shadow: 0px 4px 4px 0px #0000000d;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    height: 60px;
}

.language-select img {
    width: 25px;
    height: 25px;
    object-fit: cover;
    border-radius: 50%;
    margin-right: 5px;
}

.header .logo img {
    height: 50px;
}

.header-avatar {
    cursor: pointer;
}

.header-avatar .avatar-name {
    border-radius: 25px;
    border: 1px solid #c5c5c5;
    width: max-content;
    padding: 6px 50px 6px 12px;
    margin-top: 10px;
    margin-left: 20px;
    box-shadow: 0px 4px 4px 0px #0000001a;
}

.header-avatar .avatar-img {
    position: absolute;
    top: 10px;
    right: 0;
    background: #f6f6f6;
}

.header-avatar .avatar-img img {
    height: 45px;
    width: 45px;
    object-fit: cover;
    border-radius: 50%;
    border: 1px solid #d9d9d9;
}

/* CSS để ẩn các tùy chọn mặc định */
.header-avatar-options {
    display: none;
    position: absolute;
    top: 100%;
    right: 0;
    background-color: #fff;
    border: 1px solid #ccc;
    padding: 10px;
    cursor: default;
    box-shadow: 0px 4px 4px 0px #00000040;
    box-shadow: 3px 3px 4px 0px #00000040 inset;
    min-width: 231px;
    padding: 12px 15px;
    border-radius: 10px;
}

.header-avatar-options ul {
list-style: none;
    margin: 0;
    padding: 0;
}

/* CSS cho biểu tượng hình ảnh avatar */
.avatar-img img {
    width: 40px;
    height: 40px;
    border-radius: 50%;
}

/* CSS để cung cấp phong cách cho tùy chọn khi hiển thị */
.header-avatar-options.show {
    display: block;
}

/*ALERT*/
#alert-container {
    position: fixed !important;
    top: 70px;
    right: 24px;
}

.alert {
    width: max-content;
    height: 60px;
    border-radius: 10px !important;
    overflow: hidden;
    --after-width: 100%;
    opacity: 1;
    transition: transform 0.5s ease-out, opacity 0.5s ease-out;
}

.alert-type-error {
    --bg-color: #ef665b;
    border: 1px solid var(--bg-color) !important;
    background-color: #fce8db !important;
}

.alert-type-success {
    --bg-color: #00b074;
    border: 1px solid var(--bg-color) !important;
    background-color: #def2ed !important;
}

.alert::after {
    content: "";
    display: block;
    position: absolute;
    left: 0;
    bottom: 0;
    width: var(--after-width);
    height: 4px;
    background-color: var(--bg-color);
    transition: width 0.05s linear;
}

.slide-out {
    transform: translateX(150%);
    opacity: 0;
}

.close-alert {
    cursor: pointer;
}